
// termination costs in CPU instructions to shut down the various operators
#define TERMINATE_STORE 	5000	
#define TERMINATE_SELECT	5000	
#define TERMINATE_JOIN		40000	

// initiation costs in CPU instructions to start up the various operators
#define INITIATE_STORE		10000	
#define INITIATE_SELECT		20000	
#define INITIATE_JOIN		40000	

// basic execution costs for operators
// taken from Donovan's left deep simulator
#define INST_TREAD	300
#define INST_BUILD	100
#define INST_PROBE	200
#define INST_PRED	100
#define INST_BCOPY	1
#define INST_SPLIT      500
#define INST_INDEX_ENTRY_TEST 50 /* from Hui-I's thesis pg 52 */
#define INST_STARTIO    1000     /* default value for Inst_StartIO glob var */
