real anyDisk = random(0,2);  // for use in random sets 
real anyNode = random(0,3);  // for use in random sets

file 1..3 =     <tuplesize=200, numtuples=  40960,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 101..103 = <tuplesize=200, numtuples=  81920,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 201..203 = <tuplesize=200, numtuples= 163840,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 301..303 = <tuplesize=200, numtuples= 409600,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;

file big = <id=401, tuplesize=100, numtuples=1600000, disks={anyDisk * 3},
		nodes = {0..2}>;
index bigUnclIndex = <id=402, file=big, type=unclustered, keysize=12>;

file 4..6 =     <tuplesize=200, numtuples=  40960,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 104..106 = <tuplesize=200, numtuples=  81920,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 204..206 = <tuplesize=200, numtuples= 163840,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 304..306 = <tuplesize=200, numtuples= 409600,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;

file medium = <id=404, tuplesize=100, numtuples=640000, disks={anyDisk * 3},
		nodes = {1..3}>;
index mediumUnclIndex = <id=405, file=medium, type=unclustered, keysize=12>;

file 7..9 =     <tuplesize=200, numtuples=  40960,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 107..109 = <tuplesize=200, numtuples=  81920,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 207..209 = <tuplesize=200, numtuples= 163840,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 307..309 = <tuplesize=200, numtuples= 409600,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;

file tiny = <id=408, tuplesize=100, numtuples=8000, disks={anyDisk * 3},
		nodes = {3}>;
index tinyUnclIndex = <id=409, file=tiny, type=unclustered, keysize=12>;

file 10..12 =   <tuplesize=200, numtuples=  40960,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 110..112 = <tuplesize=200, numtuples=  81920,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 210..212 = <tuplesize=200, numtuples= 163840,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;
file 310..312 = <tuplesize=200, numtuples= 409600,disks = {anyDisk * 3},
		nodes = {anyNode * 4}>;

file small = <id=406, tuplesize=100, numtuples=320000, disks={anyDisk * 3},
		nodes = {1,2}>;
index smallUnclIndex = <id=407, file=small, type=unclustered, keysize=12>;

file queryFileSmall = uniform(1,12);
file queryFileMed   = uniform(101,112);
file queryFileLarge = uniform(201,212);
file queryFileHuge  = uniform(301,312);
file allQueryFiles = [queryFileSmall, queryFileMed, queryFileLarge, 
		      queryFileHuge];
file otherFiles = [tiny, small, medium, big];

index indexSequence = <tinyUnclIndex, smallUnclIndex, mediumUnclIndex, 
			  bigUnclIndex>;
index skewedIndices = [bigUnclIndex/.65, mediumUnclIndex/.25,
		      smallUnclIndex/.075, tinyUnclIndex/.025];

file anyOldFile = [allQueryFiles, otherFiles]; // all equiprobable
