//
// NO LONGER USED IN CURRENT BUFFER MANAGER -- ARCHIVAL ONLY!!!!!!
//

#include <dbsim.h>
#include <node.h>
#include "bufmgr.h"
#include "freeframe.h"


// Manages free store of records for lists of free, hated, and
// used frames for buffer manager.
// Overloads "new" so that new first checks to see if there are
// any allocated but currently unused buckets around; if there
// are, just returns one, if not, malloc()'s a new one.
// Similarly, "free" just adds the freed bucket to the free list.

FreeListRecord* FreeListRecord::freeRecord = NULL;  // no free records initially

FreeListRecord::FreeListRecord() {
  bufIndex = ILLEGAL_BUFINDEX;   
  next = 0;
  prev = 0;
}


void* FreeListRecord::operator new(size_t size)
{
    FreeListRecord *newRecord;

    if (freeRecord == NULL) {
        // allocate a new bucket
        newRecord = (FreeListRecord *) new char[size];
      } else {
        // reuse an existing bucket
        newRecord = freeRecord;
        freeRecord = freeRecord->next;
      }
    newRecord->prev = newRecord->next = 0;
    newRecord->bufIndex = ILLEGAL_BUFINDEX;
    return newRecord;
  };


void FreeListRecord::operator delete(void* oldRecord, size_t)
{
    // put the Record on the free list
    ((FreeListRecord *) oldRecord)->next = freeRecord;
    freeRecord = (FreeListRecord *) oldRecord;
  };



