///////////////////////////////////////////////////////////////////////////////
//
//  Name:        object.h
//
//  Title:       UW database simulator root object definition
//
//               The only reason this exists is to have a place to hang 
//               polymorphic (late binding) method definitions.
//
//  Change Activity:
//
//     10/01/91 (KPB) - Initial version.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef objecth
#define objecth

#define PRINTINDENT 2
#define NewLine         printf("\n%*s", indent, " ")
#define NewSubLine      printf("\n%*s%*s", indent, " ", PRINTINDENT, " ")

class Object {
  public:
    Object(){};
    ~Object(){};
    virtual void print(int indent){
      if (indent); // make silly compiler happy
    };
    virtual void writeStats(){};
    virtual void writeStats(char* symbol){
      if (symbol); // make silly compiler happy
    };
};

#endif
